.modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 100;
    display: flex;
    justify-content: center;
    align-items: center;
}

.modal[aria-hidden="false"] {
    display: flex;
}

.modal[aria-hidden="true"] {
    display: none;
}

.modal-bg {
    background-color: var(--color-grey-dark);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: .8;
}

.modal-window {
    width: 100%;
    max-width: 1000px;
    height: 100%;
    max-height: 90%;
    background: #fff;
    z-index: 110;
    position: relative;
    border-radius: var(--border-radius-btn);
    padding: 1em 2em 1em 4em;
}

.modal-content {
    padding: 0 2em 0 0;
    max-height: 100%;
    overflow-y: auto;
}

.modal-close {
    position: absolute;
    top: 2em;
    right: 2em;
    border-radius: 50%;
    border: 2px solid #fff;
    width: 2.5em;
    height: 2.5em;
    cursor: pointer;
    background-image: var(--icon-close-light);
    background-repeat: no-repeat;
    background-position: center;
    transition: all ease-in-out .15s;
}

.modal-close:hover {
    background-color: #fff;
    background-image: var(--icon-close-dark);
}

.modal-close:focus {
    transform: scale(.95);
}

.choose-program {
    display: flex;
    grid-gap: 2em;
    justify-content: space-between;
    padding-bottom: 2.5em;
    margin-bottom: 2.5em;
}

.program-options {
    flex-grow: 2;
}

.choose-program + ul.typo3-messages {
    margin-top: -2em;
}

.choose-program-action button[disabled] {
    opacity: .3;
    cursor: not-allowed;
}

.choose-program-action button[disabled]:hover {
    background-color: var(--color-grey-dark);
}


/* DELETE PROCESS and withdraw application */

.modal-delete-process .modal-window,
.modal-withdraw-application .modal-window {
    max-width: 500px;
    height: 60vh;
}

.modal-delete-process .modal-window button,
.modal-withdraw-application .modal-window button {
    width: 100%;
}

.modal-delete-process .modal-window button + button,
.modal-withdraw-application .modal-window button + button {
    margin: 1rem 0 0
}